package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）枚举类
*
* @author zxfei
*/
public enum PerformHierarchyShowEnum {
    省级("省级", "省级"),
    市级("市级", "市级"),
    县级("县级", "县级"),
    镇乡街道("镇[乡、街道]", "镇[乡、街道]"),
    村社区级("村[社区]级", "村[社区]级");
    private String value;
    private String desc;

    PerformHierarchyShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PerformHierarchyShowEnum getByValue(String value) {
        for (PerformHierarchyShowEnum performHierarchyShowEnum : PerformHierarchyShowEnum.values()) {
            if (performHierarchyShowEnum.getValue() == value) {
                return performHierarchyShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PerformHierarchyShowEnum item : PerformHierarchyShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}